Login

    Register

Managed Hosting

PROJECT CATEGORIES

 

next-generator
Project Home Known Issues Screenshots External Project Link Contact Project

next-generator Issue: Can't Run ANT Script

Name: Can't Run ANT Script
ID: 3
Project: next-generator
Type: Bug
Area: Code
Severity: Low
Status: Closed
Related URL:
Creator: Lola Lee Beno
Created: 12/19/10 7:42 AM
Updated: 12/20/10 3:26 AM
Description: I'm running OSX on MBP which has 64 bit. When I tried to run the ANT script, it failed because of this:


/Library/WebServer/Documents/nextgenerator/build.xml:21: java.lang.UnsatisfiedLinkError: Cannot load 32-bit SWT libraries on 64-bit JVM
History: Created by lolajl (Lola Lee Beno) : 12/19/10 7:42 AM

Comment by DominicWatson (Dominic Watson) : 12/19/10 11:03 AM
Are you sure this is a problem with the Ant script itself? It doesn't do much but a little regex replace on some file content.

Sounds more like your Ant client (eclipse?) not behaving well in the environment. Perhaps this may help (?):

http://dev.eclipse.org/newslists/news.eclipse.platform.swt/msg38359.html

Dominic

Comment by lolajl (Lola Lee Beno) : 12/19/10 6:45 PM
Not sure. I'm using cfBuilder (Adobe).

Comment by DominicWatson (Dominic Watson) : 12/20/10 3:25 AM
Roger that, it appears to be an Eclipse problem (CFBuilder is a plugin for Eclipse). This should be of help:

http://www.agynamix.de/blog/run-32bit-swt-apps-from-eclipse-in-snow-leopard/

Closing the issue.

Updated by DominicWatson (Dominic Watson) : 12/20/10 3:26 AM

To add a comment to this bug, please login using the link above.